Skip to main content
PATCH
Patch Agent

Path Parameters

agent_id
string
required
Maximum string length: 64
Pattern: ^[A-Za-z0-9_\-]+$

Body

application/json
creativity
number | null
Required range: 0 <= x <= 1
description
string | null
Maximum string length: 240
greeting
string | null
Maximum string length: 300
instructions
string | null
Maximum string length: 8000
language
enum<string> | null
Available options:
yo,
pcm,
ha,
ig,
en-NG
max_reply_chars
enum<integer> | null
Available options:
160,
320,
600
name
string | null
Required string length: 1 - 80
status
enum<string> | null
Available options:
draft,
live
tools
ToolIn · object[] | null
voice
string | null

Response

200 - application/json

OK

created_at
string<date-time>
required
creativity
number
required
description
string
required
greeting
string
required
has_webhook_secret
boolean
required
id
string
required
instructions
string
required
knowledge
DocumentOut · object[]
required
language
string
required
max_reply_chars
integer
required
name
string
required
status
string
required
tools
ToolOut · object[]
required
updated_at
string<date-time>
required
voice
string
required